I started a straight forward upgrade of a Joomla 2.5 site to 3.x.

You start with with downloading Joomla 3.5.1 first. Click here to download that package.

I used Akeeba Kickstart to restore a copy of the site locally in a WAMP environment. Restored the site and it need to be upgraded from 2.5.19 to 2.5.28.

First I needed to turn off Akeeba’s “backup system update” plug-in. Go to Plugins >> Sort by “ID” and it will probably one of the last ones. Of course you can always search.

After that the install went fine.

Next we need to set the Joomla Core Updater to be more risky and allow for “Short Term Support” by clicking on the “Options” button.

Select “Short Term Support”.

Click “Save and Close”. Then go back to Joomla Update in the Control Panel.

 

Extensions

  • Akeeba
  • Sourcer
  • JCE
  • JEvents

I got this error:

1093 – An error has occurred.

You can’t specify target table ‘#__template_styles’ for update in FROM clause SQL=UPDATE `#__template_styles` SET home = (CASE WHEN (SELECT count FROM (SELECT count(`id`) AS count FROM `#__template_styles` WHERE home = ‘1’ AND client_id = 1) as c) = 0 THEN ‘1’ ELSE ‘0’ END) WHERE template = ‘isis’ AND home != ‘1’;

That lead me to this article in the Joomla Forums.

https://forum.joomla.org/viewtopic.php?t=910368

So I uninstalled all plugins hoping the JEvents tables would match up if the upgrade to 3.4 goes well and I reinstall JEvents. I removed Akeeba Plugins, but some didn’t want to go away. I removed the JEvents component and the JCE; although, the JCE didn’t want to uninstall either. I then proceeded with a 3.5.1 migration through the Joomla update manager. I got the same error.

Out of fustration I tried the process in XXAMP and the upgrade happened just like it should .

I hope this helps someone else out there….